# Class CIM_SystemDevice
extends CIM_SystemComponent

LogicalDevices can be aggregated by a System. This relationship is made explicit by the SystemDevice association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_SystemComponent
|
+--CIM_SystemDevice

## Direct Known Subclasses

CIM_ComputerSystemMemory
CIM_ComputerSystemProcessor

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Composition | boolean | true
Description | string | LogicalDevices can be aggregated by a System. This relationship is made explicit by the SystemDevice association.
UMLPackagePath | string | CIM::Core::Device
Version | string | 2.10.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_SystemDevice | CIM_System
PartComponent | CIM_SystemDevice | CIM_LogicalDevice

## Class Methods